package com.kcim.service;

import com.kcim.dao.model.dto.SysDepartment;
import com.kcim.vo.CommonParameterVo;
import com.kcim.vo.DictDataVo;
import com.kcim.vo.KCClassVo;
import com.kcim.vo.UserInfoVO;

import java.util.List;
import java.util.Map;

/**
 * @program: CostAccount
 * @description: 中台调用方法
 * @author: Wang.YS
 * @create: 2023-10-17 16:24
 **/
public interface CenterService {
    List<UserInfoVO> getCenterUserInfo(String filter);

    DictDataVo getDict(String dictType);
    DictDataVo getCenterDict(String dictType);


     List<DictDataVo> getAllDict();

    List<DictDataVo> getAllDictBySystemId();

    Map<String, String> getDepartment();

    List<SysDepartment>  getDepartmentFilter(String departmentName);

    CommonParameterVo getParameter(Long parameterCode);

    /**
     * 获取指定Code的参数值
     * @param parameterCode
     * @return
     */
    String getParameterValue(Long parameterCode);

    /**
     * 获取指定Code的参数指定序号的数值,
     * @param parameterCode
     * @return
     */
    String getParameterValueByIndex(Long parameterCode,int index);

    List<KCClassVo>  getKCClass();

    List<SysDepartment>  getDepartmentByDepartmentIds(List<Long> departmentIds);
}
